curl --request GET \
--url https://api.planetscale.com/v1/organizations/{organization}/teams/{team}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/teams/{team}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/teams/{team}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"current_page": 123,
"next_page": 123,
"next_page_url": "<string>",
"prev_page": 123,
"prev_page_url": "<string>",
"data": [
{
"id": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"name": "<string>",
"email": "<string>",
"avatar_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"two_factor_auth_configured": true,
"default_organization": {
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"sso": true,
"managed": true,
"directory_managed": true,
"email_verified": true
},
"actor": {
"id": "<string>",
"display_name": "<string>",
"avatar_url": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"passwords": [
{
"id": "<string>",
"name": "<string>",
"cidrs": [
"<string>"
],
"created_at": "<string>",
"deleted_at": "<string>",
"expires_at": "<string>",
"last_used_at": "<string>",
"expired": true,
"direct_vtgate": true,
"direct_vtgate_addresses": [
"<string>"
],
"ttl_seconds": 123,
"access_host_url": "<string>",
"access_host_regional_url": "<string>",
"access_host_regional_urls": [
"<string>"
],
"actor": {
"id": "<string>",
"display_name": "<string>",
"avatar_url": "<string>"
},
"region": {
"id": "<string>",
"provider": "<string>",
"enabled": true,
"public_ip_addresses": [
"<string>"
],
"display_name": "<string>",
"location": "<string>",
"slug": "<string>",
"current_default": true,
"mysql_supported": true,
"postgresql_supported": true
},
"username": "<string>",
"plain_text": "<string>",
"replica": true,
"renewable": true,
"database_branch": {
"name": "<string>",
"id": "<string>",
"production": true,
"mysql_edge_address": "<string>",
"private_edge_connectivity": true
}
}
]
}
]
}List team members
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_organization
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_organization |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization
The slug of the team
Query Parameters
If provided, specifies the page offset of returned results
If provided, specifies the number of returned results
Response
Returns the list of team members
The response type. Always "list" for paginated responses.
The current page number
The next page number, or null when this is the last page
The next page of results, or null when this is the last page
The previous page number, or null when this is the first page
The previous page of results, or null when this is the first page
Show child attributes
Show child attributes

